/**
 ********************************************************************
 * @file    psdk_module_name.h
 * @version V2.0.0
 * @date    2019/07/01
 * @brief   This is the header file for "psdk_module_name.c", defining the
 *structure and
 * (exported) function prototypes.
 *
 * @copyright (c) 2018-2019 DJI. All rights reserved.
 *
 * All information contained herein is, and remains, the property of DJI.
 * The intellectual and technical concepts contained herein are proprietary
 * to DJI and may be covered by U.S. and foreign patents, patents in process,
 * and protected by trade secret or copyright law.  Dissemination of this
 * information, including but not limited to data and other proprietary
 * material(s) incorporated within the information, in any form, is strictly
 * prohibited without the express written consent of DJI.
 *
 * If you receive this source code without DJI’s authorization, you may not
 * further disseminate the information, and you must immediately remove the
 * source code and notify DJI of its removal. DJI reserves the right to pursue
 * legal actions against you for any loss(es) or damage(s) caused by your
 * failure to do so.
 *
 *********************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef PSDK_MODULE_NAME_H
#define PSDK_MODULE_NAME_H

/* Includes ------------------------------------------------------------------*/

#ifdef __cplusplus
extern "C" {
#endif

/* Exported constants --------------------------------------------------------*/
#define MODULE_NAME_PLATFORM "platform"
#define MODULE_NAME_LOGGER "logger"
#define MODULE_NAME_CHANNEL "channel"
#define MODULE_NAME_PROTOCOL "protocol"
#define MODULE_NAME_GTEST "gtest"
#define MODULE_NAME_COMMAND "command"
#define MODULE_NAME_CAMERA "camera"
#define MODULE_NAME_GIMBAL "gimbal"
#define MODULE_NAME_WIDGET "widget"
#define MODULE_NAME_CORE "core"
#define MODULE_NAME_IDENTITY "identity"
#define MODULE_NAME_TRANSMISSION "transmission"
#define MODULE_NAME_SUBSCRIPTION "subscription"
#define MODULE_NAME_AIRCRAFTINFO "aircraftinfo"
#define MODULE_NAME_FLOWCONTROLLER "flowcontroller"
#define MODULE_NAME_DOWNLOADER "downloader"
#define MODULE_NAME_PARAMETER "parameter"
#define MODULE_NAME_UTIL "util"
#define MODULE_NAME_USER "user"
#define MODULE_NAME_MOP "mop"

/* Exported types ------------------------------------------------------------*/

/* Exported functions --------------------------------------------------------*/

#ifdef __cplusplus
}
#endif

#endif  // PSDK_MODULE_NAME_H
/************************ (C) COPYRIGHT DJI Innovations *******END OF FILE******/
